[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| RandomForestProgressVisitor [Machine Learning] |

`#include <vigra/random_forest/rf_visitors.hxx>`

Inheritance diagram for RandomForestProgressVisitor:

List of all members.

## Public Member Functions

template<class RF, class PR, class SM, class ST>
void | visit_after_tree (RF &rf, PR &pr, SM &sm, ST &st, int index)
template<class RF, class PR>
void | visit_at_beginning (RF const &rf, PR const &pr)
template<class RF, class PR>
void | visit_at_end (RF const &rf, PR const &pr)

## Detailed Description

Verbose output

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_visitors.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.7.1 (3 Dec 2010)